<template>
  <LoadingIcon class="circular-loading-icon h-14 w-14" />
</template>

<script setup lang="ts">
import LoadingIcon from '~/assets/icons/loading-icon.svg?component';
</script>

<style scoped>
.circular-loading-icon {
  position: absolute;
  z-index: 99;
  animation: spin 1s linear infinite;
  color: var(--primary);
}

@keyframes spin {
  0% {
    transform: rotate(360deg);
  }
  100% {
    transform: rotate(0deg);
  }
}
</style>
